Get an outbound shipment
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/shipments/string"{ "shipment": { "id": "string", "labId": "string", "clinicId": "string", "partnershipId": "string", "shipmentNumber": 1, "method": "carrier", "status": "draft", "version": 1, "destinationSource": "one_off", "destinationLocationId": "string", "destinationName": "string", "city": "string", "region": "string", "postcode": "string", "country": "string", "scheduledDate": "string", "dispatchedAt": "string", "deliveredAt": "string", "returnedAt": "string", "cancelledAt": "string", "createdAt": "string", "updatedAt": "string", "addressLine1": "string", "addressLine2": "string", "contactName": "string", "contactPhone": "string", "driverName": "string", "driverPhone": "string", "notes": "string", "items": [ { "id": "string", "orderId": "string", "orderItemId": "string", "quantity": 1, "kind": "fulfillment", "replacementForShipmentItemId": "string", "releasedAt": "string", "orderNumber": "string", "productName": "string" } ], "packages": [ { "id": "string", "packageNumber": 1, "weightGrams": 0 } ], "packageItems": [ { "id": "string", "packageId": "string", "shipmentItemId": "string", "quantity": 1, "packedQuantity": 0 } ], "labels": [ { "id": "string", "packageId": "string", "carrier": "string", "trackingNumber": "string", "trackingUrl": "string", "status": "string", "provider": "string" } ], "events": [ { "id": "string", "sequence": 0, "eventType": "string", "fromStatus": "string", "toStatus": "string", "occurredAt": "string" } ], "deliveryProof": { "recipientName": "string", "proofType": "string", "deliveredAt": "string" } }}Empty